Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.runtime
Interface EJBCacheRuntimeMBean

public interface EJBCacheRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This interface contains accessor methods for all cache runtime information collected for an EJB.

Author:
  Copyright (c) 2001 by BEA Systems. All Rights Reserved.

Method Summary
`long` | `getActivationCount()` Returns the total number of beans from this EJB Home that have been activated.
`long` | `getCacheAccessCount()` Returns the total number of attempts to access a bean from the cache.
`int` | `getCachedBeansCurrentCount()` Returns the total number of beans from this EJB Home currently in the EJB cache.
`long` | `getCacheHitCount()` Returns the total number of times an attempt to access a bean from the cache succeeded.
`long` | `getPassivationCount()` Returns the total number of beans from this EJB Home that have been passivated.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getCachedBeansCurrentCount

    public int getCachedBeansCurrentCount()

  Returns the total number of beans from this EJB Home currently in the EJB cache.

### getCacheAccessCount

    public long getCacheAccessCount()

  Returns the total number of attempts to access a bean from the cache.

### getCacheHitCount

    public long getCacheHitCount()

  Returns the total number of times an attempt to access a bean from the cache succeeded.

### getActivationCount

    public long getActivationCount()

  Returns the total number of beans from this EJB Home that have been activated.

### getPassivationCount

    public long getPassivationCount()

  Returns the total number of beans from this EJB Home that have been passivated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference